Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.openmbean
Class OpenMBeanAttributeInfoSupport

    java.lang.Object
      javax.management.MBeanFeatureInfo
          javax.management.MBeanAttributeInfo
              javax.management.openmbean.OpenMBeanAttributeInfoSupport

All Implemented Interfaces:
  Cloneable, OpenMBeanAttributeInfo, OpenMBeanParameterInfo, Serializable

public class OpenMBeanAttributeInfoSupport
extends MBeanAttributeInfo
implements OpenMBeanAttributeInfo, Serializable

OpenMBeanAttributeInfo implementation

Version:
  $Revision: 1.4 $
Author:
  Adrian Brock.
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.management.MBeanFeatureInfo
`description, name`

Constructor Summary
`OpenMBeanAttributeInfoSupport(String name, String description, OpenType openType, boolean isReadable, boolean isWritable, boolean isIs)` Contruct an OpenMBeanAttributeInfoSupport
`OpenMBeanAttributeInfoSupport(String name, String description, OpenType openType, boolean isReadable, boolean isWritable, boolean isIs, Object defaultValue)` Contruct an OpenMBeanAttributeInfoSupport
`OpenMBeanAttributeInfoSupport(String name, String description, OpenType openType, boolean isReadable, boolean isWritable, boolean isIs, Object defaultValue, Comparable minValue, Comparable maxValue)` Contruct an OpenMBeanAttributeInfoSupport
`OpenMBeanAttributeInfoSupport(String name, String description, OpenType openType, boolean isReadable, boolean isWritable, boolean isIs, Object defaultValue, Object[] legalValues)` Contruct an OpenMBeanAttributeInfoSupport

Method Summary
`boolean` | `equals(Object obj)` Compares an object for equality with the implementing class.
`Object` | `getDefaultValue()` Retrieve the default value for this parameter or null if there is no default
`Set` | `getLegalValues()` Retrieve the legal values values for this parameter or null if this is not specified
`Comparable` | `getMaxValue()` Retrieve the maximum values values for this parameter or null if this is not specified
`Comparable` | `getMinValue()` Retrieve the minimum values values for this parameter or null if this is not specified
`OpenType` | `getOpenType()` Retrieve the open type for this parameter
`boolean` | `hasDefaultValue()` Discover wether this parameter has a default value specified
`int` | `hashCode()` Generates a hashcode for the implementation.
`boolean` | `hasLegalValues()` Discover wether this parameter has legal values specified
`boolean` | `hasMaxValue()` Discover wether this parameter has a maximum value specified
`boolean` | `hasMinValue()` Discover wether this parameter has a minimum value specified
`boolean` | `isValue(Object obj)` Tests whether an object is acceptable as a paramter value
`String` | `toString()` A string representation of the open mbean parameter info.

Methods inherited from class javax.management.MBeanAttributeInfo
`clone, getType, isIs, isReadable, isWritable`

Methods inherited from class javax.management.MBeanFeatureInfo
`getDescription, getName`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.management.openmbean.OpenMBeanAttributeInfo
`isIs, isReadable, isWritable`

Methods inherited from interface javax.management.openmbean.OpenMBeanParameterInfo
`getDescription, getName`

Constructor Detail

### OpenMBeanAttributeInfoSupport

    public OpenMBeanAttributeInfoSupport(String name,
                                         String description,
                                         OpenType openType,
                                         boolean isReadable,
                                         boolean isWritable,
                                         boolean isIs)

  Contruct an OpenMBeanAttributeInfoSupport

Parameters:
  `name` - cannot be null or empty
  `description` - cannot be null or empty
  `openType` - cannot be null
  `isReadable` - true when the getter is exposed for management
  `isWritable` - true when the setter is exposed for management
  `isIs` - true when the getter is of the form isXXX
Throws:
  `IllegalArgumentException` - when one of the above constraints is not satisfied

### OpenMBeanAttributeInfoSupport

    public OpenMBeanAttributeInfoSupport(String name,
                                         String description,
                                         OpenType openType,
                                         boolean isReadable,
                                         boolean isWritable,
                                         boolean isIs,
                                         Object defaultValue)
                                  throws OpenDataException

  Contruct an OpenMBeanAttributeInfoSupport

Parameters:
  `name` - cannot be null or empty
  `description` - cannot be null or empty
  `openType` - cannot be null
  `isReadable` - true when the getter is exposed for management
  `isWritable` - true when the setter is exposed for management
  `isIs` - true when the getter is of the form isXXX
  `defaultValue` - the default value
Throws:
  `IllegalArgumentException` - when one of the above constraints is not satisfied
  `OpenDataException` - when default value is not correct for the open type or cannot specify a default value for ArrayType and TabularType

### OpenMBeanAttributeInfoSupport

    public OpenMBeanAttributeInfoSupport(String name,
                                         String description,
                                         OpenType openType,
                                         boolean isReadable,
                                         boolean isWritable,
                                         boolean isIs,
                                         Object defaultValue,
                                         Object[] legalValues)
                                  throws OpenDataException

  Contruct an OpenMBeanAttributeInfoSupport

Parameters:
  `name` - cannot be null or empty
  `description` - cannot be null or empty
  `openType` - cannot be null
  `isReadable` - true when the getter is exposed for management
  `isWritable` - true when the setter is exposed for management
  `isIs` - true when the getter is of the form isXXX
  `defaultValue` - the default value
  `legalValues` - an array of legal values
Throws:
  `IllegalArgumentException` - when one of the above constraints is not satisfied
  `OpenDataException`

### OpenMBeanAttributeInfoSupport

    public OpenMBeanAttributeInfoSupport(String name,
                                         String description,
                                         OpenType openType,
                                         boolean isReadable,
                                         boolean isWritable,
                                         boolean isIs,
                                         Object defaultValue,
                                         Comparable minValue,
                                         Comparable maxValue)
                                  throws OpenDataException

  Contruct an OpenMBeanAttributeInfoSupport

Parameters:
  `name` - cannot be null or empty
  `description` - cannot be null or empty
  `openType` - cannot be null
  `isReadable` - true when the getter is exposed for management
  `isWritable` - true when the setter is exposed for management
  `isIs` - true when the getter is of the form isXXX
  `defaultValue` - the default value
  `minValue` - the minimum value
  `maxValue` - the maximum value
Throws:
  `IllegalArgumentException` - when one of the above constraints is not satisfied
  `OpenDataException`

Method Detail

### getDefaultValue

    public Object getDefaultValue()

  Description copied from interface: `OpenMBeanParameterInfo`
  Retrieve the default value for this parameter or null if there is no default

  Specified by:
    `getDefaultValue` in interface `OpenMBeanParameterInfo`
  Returns:
    the default value

### getLegalValues

    public Set getLegalValues()

  Description copied from interface: `OpenMBeanParameterInfo`
  Retrieve the legal values values for this parameter or null if this is not specified

  Specified by:
    `getLegalValues` in interface `OpenMBeanParameterInfo`
  Returns:
    the legal value

### getMinValue

    public Comparable getMinValue()

  Description copied from interface: `OpenMBeanParameterInfo`
  Retrieve the minimum values values for this parameter or null if this is not specified

  Specified by:
    `getMinValue` in interface `OpenMBeanParameterInfo`
  Returns:
    the minimum value

### getMaxValue

    public Comparable getMaxValue()

  Description copied from interface: `OpenMBeanParameterInfo`
  Retrieve the maximum values values for this parameter or null if this is not specified

  Specified by:
    `getMaxValue` in interface `OpenMBeanParameterInfo`
  Returns:
    the maximum value

### getOpenType

    public OpenType getOpenType()

  Description copied from interface: `OpenMBeanParameterInfo`
  Retrieve the open type for this parameter

  Specified by:
    `getOpenType` in interface `OpenMBeanParameterInfo`
  Returns:
    the open type.

### hasDefaultValue

    public boolean hasDefaultValue()

  Description copied from interface: `OpenMBeanParameterInfo`
  Discover wether this parameter has a default value specified

  Specified by:
    `hasDefaultValue` in interface `OpenMBeanParameterInfo`
  Returns:
    true when a default value is specified or false otherwise

### hasLegalValues

    public boolean hasLegalValues()

  Description copied from interface: `OpenMBeanParameterInfo`
  Discover wether this parameter has legal values specified

  Specified by:
    `hasLegalValues` in interface `OpenMBeanParameterInfo`
  Returns:
    true when the legal values are specified or false otherwise

### hasMinValue

    public boolean hasMinValue()

  Description copied from interface: `OpenMBeanParameterInfo`
  Discover wether this parameter has a minimum value specified

  Specified by:
    `hasMinValue` in interface `OpenMBeanParameterInfo`
  Returns:
    true when a minimum value is specified or false otherwise

### hasMaxValue

    public boolean hasMaxValue()

  Description copied from interface: `OpenMBeanParameterInfo`
  Discover wether this parameter has a maximum value specified

  Specified by:
    `hasMaxValue` in interface `OpenMBeanParameterInfo`
  Returns:
    true when a maximum value is specified or false otherwise

### isValue

    public boolean isValue(Object obj)

  Description copied from interface: `OpenMBeanParameterInfo`
  Tests whether an object is acceptable as a paramter value

  Specified by:
    `isValue` in interface `OpenMBeanParameterInfo`
  Parameters:
    `obj` - the object to test
  Returns:
    true when it is a valid value, or false otherwise

### equals

    public boolean equals(Object obj)

  Description copied from interface: `OpenMBeanAttributeInfo`
  Compares an object for equality with the implementing class.

  The object is not null
  The object implements the open mbean parameter info interface
  The parameter names are equal
  The open types are equal
  The access properties are the same
  The default, min, max and legal values are equal

  Specified by:
    `equals` in interface `OpenMBeanAttributeInfo`
  Overrides:
    `equals` in class `MBeanAttributeInfo`

### hashCode

    public int hashCode()

  Description copied from interface: `OpenMBeanAttributeInfo`
  Generates a hashcode for the implementation.

  The sum of the hashCodes for the elements mentioned in the equals method

  Specified by:
    `hashCode` in interface `OpenMBeanAttributeInfo`
  Overrides:
    `hashCode` in class `MBeanAttributeInfo`

### toString

    public String toString()

  Description copied from interface: `OpenMBeanAttributeInfo`
  A string representation of the open mbean parameter info.

  It is made up of implementation class and the values mentioned in the equals method

  Specified by:
    `toString` in interface `OpenMBeanAttributeInfo`
  Overrides:
    `toString` in class `MBeanAttributeInfo`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.